## cluster3 1.50

=== mac/Makefile ===
DOCDIR = ../doc
HTMLDIR = ../html

build/Default/Cluster.app: $(HTMLDIR)/html.helpindex $(HTMLDIR)/html\ idx $(DOCDIR)/cluster3.pdf
	xcodebuild
	rm -r build/Cluster.build

Cluster.pkg: build/Default/Cluster.app
	/Developer/Tools/packagemaker -build -proj Cluster.pmproj -p Cluster.pkg -v

Cluster.tar: Cluster.pkg
	tar cvf Cluster.tar Cluster.pkg

$(HTMLDIR)/index.html: $(DOCDIR)/cluster3.texinfo
	$(MAKE) -C $(HTMLDIR)

$(HTMLDIR)/html.helpindex $(HTMLDIR)/html\ idx: $(HTMLDIR)/index.html
	/Developer/Applications/Utilities/Help\ Indexer.app/Contents/MacOS/Help\ Indexer ../html -ShowProgress YES -LogStyle 2 -PantherIndexing YES

$(DOCDIR)/cluster3.pdf: $(DOCDIR)/cluster3.texinfo
	$(MAKE) -C $(DOCDIR)

clean:
	rm -rf build Cluster.pkg Cluster.tar

=== windows/Makefile ===
OPTIONS = -DWINDOWS -DHAVE_GUI
SRCDIR = ../src
DOCDIR = ../doc
HTMLDIR = ../html

all: cluster.com clust95.com cluster.exe clust95.exe cluster.chm \
 $(DOCDIR)/cluster3.pdf

cluster.com: main.o command.o cluster.dll
	gcc -Wall -mconsole -mno-cygwin -O4 main.o command.o -L. -lcluster \
	  -o cluster.com

clust95.com: main95.o command.o cluster.dll
	gcc -Wall -mconsole -mno-cygwin -O4 main95.o command.o -L. -lcluster \
	  -o clust95.com

cluster.exe: gui.o resources.o cluster.dll
	gcc -Wall -mwindows -mno-cygwin -O4 \
	  gui.o resources.o -L. -lcluster -o cluster.exe

clust95.exe: gui95.o resources.o cluster.dll
	gcc -Wall -mwindows -mno-cygwin -O4 \
	  gui95.o resources.o -L. -lcluster -o clust95.exe

main.o: main.c
	gcc -mno-cygwin -mconsole -Wall -fno-strict-aliasing -c -O4 \
	  $(OPTIONS) -DUNICODE -I$(SRCDIR) main.c -o main.o

main95.o: main.c
	gcc -mno-cygwin -mconsole -Wall -fno-strict-aliasing -c -O4 \
	  $(OPTIONS) -I$(SRCDIR) main.c -o main95.o

gui.o: gui.c $(SRCDIR)/cluster.h
	gcc -mno-cygwin -mwindows -Wall -fno-strict-aliasing -c -O4 \
	  $(OPTIONS) -DUNICODE -I$(SRCDIR) gui.c

gui95.o: gui.c $(SRCDIR)/cluster.h
	gcc -mno-cygwin -mwindows -Wall -fno-strict-aliasing -c -O4 \
	  $(OPTIONS) -I$(SRCDIR) gui.c -o gui95.o

resources.o: resources.rc $(SRCDIR)/cluster.h
	windres -I$(SRCDIR) -i resources.rc -o resources.o

data.o: $(SRCDIR)/data.c
	gcc -mno-cygwin -mwindows -Wall -c -O4 $(OPTIONS) $(SRCDIR)/data.c

command.o: $(SRCDIR)/command.c
	gcc -mno-cygwin -mwindows -Wall -c -O4 $(OPTIONS) $(SRCDIR)/command.c

cluster.dll: cluster.o data.o
	gcc -Wall -O4 -shared -o cluster.dll -Wl,--export-all-symbols \
	  -L. -mno-cygwin cluster.o data.o

cluster.o: $(SRCDIR)/cluster.c
	gcc -c -O4 -Wall $(OPTIONS) $(SRCDIR)/cluster.c

clustersetup.exe: cluster.dll cluster.exe $(DOCDIR)/cluster3.pdf cluster.chm \
	  cluster.iss
	strip cluster.exe
	strip cluster.dll
	iscc cluster.iss

$(HTMLDIR)/index.html: $(DOCDIR)/cluster3.texinfo
	$(MAKE) -C $(HTMLDIR)

cluster.chm: cluster.hhp $(HTMLDIR)/index.html
	mv cluster.hhp $(HTMLDIR)
	cd $(HTMLDIR)
	-hhc $(HTMLDIR)/cluster.hhp
	mv $(HTMLDIR)/cluster.chm $(HTMLDIR)/cluster.hhp ../windows
	rm $(HTMLDIR)/toc.hhc
	cd ../windows

$(DOCDIR)/cluster3.pdf: $(DOCDIR)/cluster3.texinfo
	$(MAKE) -C $(DOCDIR)

clean:
	rm -f *.o *.a *.dll *.exe *.chm *.hhc

=== debian/changelog ===
cluster3 (1.50-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1188966)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 14 Jul 2013 14:25:41 +0200

cluster3 (1.50-1) unstable; urgency=low

  [ Thorsten Alteholz ]
  * New upstream release (1.50).
  * debian/rules: target get-orig-source added
  
  [ Steffen Moeller ]
  * New upstream release (1.40).
  * Improved on debian/rules.
  * Finally submitted ITP (Closes: Bug#286167).
 
  [ Charles Plessy ]
  * Initial release.
  * Manpage built before source package generation, removed docbook-to-man
    build dependency. 

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 Jul 2012 18:00:00 +0200

cluster3 (1.25-0.2) UNRELEASED; urgency=low

  * Provides both the motif gui and command line interface.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Tue,  7 Apr 2004 18:31:37 +0200

cluster3 (1.25-0.1) UNRELEASED; urgency=low

  * Initial Release.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Tue,  6 Apr 2004 18:31:37 +0200

=== debian/control ===
Source: cluster3
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
  Charles Plessy <plessy@debian.org>,
  Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 9), 
  libmotif-dev, 
  autotools-dev, 
  perl, 
  libx11-dev,
  libice-dev,
  libxext-dev,
  libsm-dev,
  libxt-dev,
  docbook-to-man
Standards-Version: 3.9.3
Homepage: http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/cluster3/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/cluster3/trunk/

Package: cluster3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: treeview
Suggests: mapleview, smile
Description: Reimplementation of the Eisen-clustering software
 The open source clustering software available here contains clustering
 routines that can be used to analyze gene expression data. Routines for
 hierarchical (pairwise simple, complete, average, and centroid linkage)
 clustering, k-means and k-medians clustering, and 2D self-organizing maps
 are included. The routines are available in the form of a C clustering
 library, an extension module to Python, a module to Perl, as well as an
 enhanced version of Cluster, which was originally developed by Michael
 Eisen of Berkeley Lab. The C clustering library and the associated
 extension module for Python was released under the Python license. The
 Perl module was released under the Artistic License. Cluster 3.0 is
 covered by the original Cluster/TreeView license.
 .
 This package only contains the command line and motif gui versions
 of Cluster 3.0.

## cluster3 1.52

=== doc/Makefile ===
imagesrc = ../html/images
figures = $(wildcard $(imagesrc)/*.png)

all: cluster3.pdf cluster.pdf

cluster3.pdf: cluster3.texinfo $(patsubst $(imagesrc)/%.png,images/%.eps,$(figures))
	tex cluster3.texinfo
	dvipdfm cluster3

cluster.pdf: cluster.texinfo
	tex cluster.texinfo
	dvipdfm cluster

$(patsubst $(imagesrc)/%.png,images/%.eps,$(figures)): images/%.eps: $(imagesrc)/%.png
	mkdir -p images
	pngtopnm $< | pnmtops -noturn -dpi=96 > $@

distdir: cluster3.pdf cluster.pdf

clean:
	rm -rf *.dvi *.aux *.log *.tmp images \
	  *.fn *.ky *.pg *.tp *.vr *.cp *.toc *.pdf *.txt

=== html/Makefile ===
docdir = ../doc

index.html: $(docdir)/cluster3.texinfo
	makeinfo --html $(docdir)/cluster3.texinfo
	python mac.py

distdir: .

clean:
	rm -f *.html

=== mac/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	rm -r build/Cluster.build
 
 Cluster.pkg: build/Default/Cluster.app
-	/Developer/Tools/packagemaker -build -proj Cluster.pmproj -p Cluster.pkg -v
+	productbuild --component build/Default/Cluster.app /Applications Cluster.pkg
 
 Cluster.tar: Cluster.pkg
 	tar cvf Cluster.tar Cluster.pkg

=== debian/changelog ===
cluster3 (1.52-2) unstable; urgency=low

  * add patch from Stefano Rivera (build on armhf) (Closes: #723561)
  
 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Sep 2013 18:00:00 +0200

cluster3 (1.52-1) unstable; urgency=low

  * rebuild needed for motif transition (Closes: #713062)
  * New upstream release (1.52)
  * debian/xcluster3.sgml: fix errors
  * debian/control: canonical vcs-* fields
  * debin/control: bumped to 3.9.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Sep 2013 19:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
   libsm-dev,
   libxt-dev,
   docbook-to-man
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/cluster3/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/cluster3/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cluster3/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cluster3/trunk/
 
 Package: cluster3
 Architecture: any

## cluster3 1.52a

=== example/Makefile ===
ifndef CC
CC=gcc
endif

OBJECTS = example.o cluster.o
SRCDIR = ../src

example.exe: $(OBJECTS)
	$(CC) -Wall $(OBJECTS) -o example.exe

example.o: example.c $(SRCDIR)/cluster.h
	$(CC) -c -Wall -I$(SRCDIR) example.c

cluster.o: $(SRCDIR)/cluster.c $(SRCDIR)/cluster.h
	$(CC) -c -Wall $(SRCDIR)/cluster.c

clean:
	rm -f example.exe example.o cluster.o

=== windows/Makefile ===
OPTIONS = -DWINDOWS -DHAVE_GUI
SRCDIR = ../src
DOCDIR = ../doc
HTMLDIR = ../html

all: cluster.com clust95.com cluster.exe clust95.exe cluster.chm \
 $(DOCDIR)/cluster3.pdf

cluster.com: main.o command.o cluster.dll
	gcc -Wall -mconsole -O4 main.o command.o -L. -lcluster \
	  -o cluster.com

clust95.com: main95.o command.o cluster.dll
	gcc -Wall -mconsole -O4 main95.o command.o -L. -lcluster \
	  -o clust95.com

cluster.exe: gui.o resources.o cluster.dll
	gcc -Wall -mwindows -O4 \
	  gui.o resources.o -L. -lcluster -o cluster.exe

clust95.exe: gui95.o resources.o cluster.dll
	gcc -Wall -mwindows -O4 \
	  gui95.o resources.o -L. -lcluster -o clust95.exe

main.o: main.c
	gcc -mconsole -Wall -fno-strict-aliasing -c -O4 \
	  $(OPTIONS) -DUNICODE -I$(SRCDIR) main.c -o main.o

main95.o: main.c
	gcc -mconsole -Wall -fno-strict-aliasing -c -O4 \
	  $(OPTIONS) -I$(SRCDIR) main.c -o main95.o

gui.o: gui.c $(SRCDIR)/cluster.h
	gcc -mwindows -Wall -fno-strict-aliasing -c -O4 \
	  $(OPTIONS) -DUNICODE -I$(SRCDIR) gui.c

gui95.o: gui.c $(SRCDIR)/cluster.h
	gcc -mwindows -Wall -fno-strict-aliasing -c -O4 \
	  $(OPTIONS) -I$(SRCDIR) gui.c -o gui95.o

resources.o: resources.rc $(SRCDIR)/cluster.h
	windres -I$(SRCDIR) -i resources.rc -o resources.o

data.o: $(SRCDIR)/data.c
	gcc -mwindows -Wall -c -O4 $(OPTIONS) $(SRCDIR)/data.c

command.o: $(SRCDIR)/command.c
	gcc -mwindows -Wall -c -O4 $(OPTIONS) $(SRCDIR)/command.c

cluster.dll: cluster.o data.o
	gcc -Wall -O4 -shared -o cluster.dll -Wl,--export-all-symbols \
	  -L. cluster.o data.o

cluster.o: $(SRCDIR)/cluster.c
	gcc -c -O4 -Wall $(OPTIONS) $(SRCDIR)/cluster.c

clustersetup.exe: cluster.dll cluster.exe $(DOCDIR)/cluster3.pdf cluster.chm \
	  cluster.iss
	strip cluster.exe
	strip cluster.dll
	iscc cluster.iss

$(HTMLDIR)/index.html: $(DOCDIR)/cluster3.texinfo
	$(MAKE) -C $(HTMLDIR)

cluster.chm: cluster.hhp $(HTMLDIR)/index.html
	mv cluster.hhp $(HTMLDIR)
	cd $(HTMLDIR)
	-hhc $(HTMLDIR)/cluster.hhp
	mv $(HTMLDIR)/cluster.chm $(HTMLDIR)/cluster.hhp ../windows
	rm $(HTMLDIR)/toc.hhc
	cd ../windows

$(DOCDIR)/cluster3.pdf: $(DOCDIR)/cluster3.texinfo
	$(MAKE) -C $(DOCDIR)

clean:
	rm -f *.o *.a *.dll *.exe *.chm *.hhc

=== debian/changelog ===
cluster3 (1.52a-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 11 Oct 2014 08:58:43 +0200

=== debian/control ===
Source: cluster3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>
Section: non-free/science
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 9),
               libmotif-dev,
               autotools-dev,
               perl,
               libx11-dev,
               libice-dev,
               libxext-dev,
               libsm-dev,
               libxt-dev,
               docbook-to-man
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cluster3/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cluster3/trunk/
Homepage: http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/

Package: cluster3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: treeview
Suggests: mapleview,
          smile
Description: Reimplementation of the Eisen-clustering software
 The open source clustering software available here contains clustering
 routines that can be used to analyze gene expression data. Routines for
 hierarchical (pairwise simple, complete, average, and centroid linkage)
 clustering, k-means and k-medians clustering, and 2D self-organizing maps
 are included. The routines are available in the form of a C clustering
 library, an extension module to Python, a module to Perl, as well as an
 enhanced version of Cluster, which was originally developed by Michael
 Eisen of Berkeley Lab. The C clustering library and the associated
 extension module for Python was released under the Python license. The
 Perl module was released under the Artistic License. Cluster 3.0 is
 covered by the original Cluster/TreeView license.
 .
 This package only contains the command line and motif gui versions
 of Cluster 3.0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -Wall -g -fPIC

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#Architecture 

configure:	configure-stamp
configure-stamp:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	touch configure-stamp

build-arch: build-arch-stamp-nox build-arch-clean build-arch-stamp-x cluster3.1 xcluster3.1
build-arch-stamp-nox:  configure
	# Add here commands to compile the arch part of the package.
	CFLAGS="$(CFLAGS)" ./configure -C --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --without-x
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	cp src/cluster cluster.nox
	touch build-arch-stamp-nox

build-arch-stamp-x:  configure
	CFLAGS="$(CFLAGS)" ./configure -C --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-x 
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	cp src/cluster cluster.x
	touch build-arch-stamp-x

# in order to build build-arch-stamp-x after build-arch-stamp-nox
# any object file needs to be cleaned
build-arch-clean:  configure
	$(MAKE) clean

install-arch-perl: install-arch-perl-stamp
install-arch-perl-stamp:
	#error with prefix defined:  perl Makefile.PL prefix=$(CURDIR)/debian/cluster3/usr/
	perl Makefile.PL INSTALL_BASE=$(CURDIR)/debian/cluster3/usr/
	make
	make test
	make install

cluster3.1: debian/cluster3.sgml
	docbook-to-man $< > $@

xcluster3.1: debian/xcluster3.sgml
	docbook-to-man $< > $@

build-indep: build-indep-stamp
build-indep-stamp:  

	# Add here commands to compile the indep part of the package.
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp* build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	-find . -name .deps -a -type d | xargs rm -rf

	dh_clean config.status config.cache config.sub config.guess src/*.o X11/*.o src/cluster X11/cluster cluster3.1 xcluster3.1 src/Makefile src/Makefile.old X11/Makefile Makefile

install: install-indep install-arch
install-indep:
	dh_testdir -i
	dh_testroot -i
	dh_prep -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch: build-arch install-arch-perl
	dh_testdir -a
	dh_testroot -a
	dh_prep -a 
	dh_installdirs -a

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	cp cluster.x $(CURDIR)/debian/cluster3/usr/bin/xcluster3
	cp cluster.nox $(CURDIR)/debian/cluster3/usr/bin/cluster3
	cp doc/* $(CURDIR)/debian/cluster3/usr/share/doc/cluster3
	cp -r example $(CURDIR)/debian/cluster3/usr/share/cluster3
	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman cluster3.1 xcluster3.1
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch 

.PHONY: build build-arch clean binary-indep binary-arch binary install install-indep install-arch 

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=3
http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/software.htm cluster-(.*)\.tar.gz

## cluster3 1.53

=== html/Makefile ===
docdir = ../doc

index.html: $(docdir)/cluster3.texinfo
	makeinfo --html $(docdir)/cluster3.texinfo --output=.
	python mac.py

distdir: .

clean:
	rm -f *.html

=== mac/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 HTMLDIR = ../html
 
 build/Default/Cluster.app: $(HTMLDIR)/html.helpindex $(HTMLDIR)/html\ idx $(DOCDIR)/cluster3.pdf
-	xcodebuild
+	xcodebuild -sdk macosx10.11
 	rm -r build/Cluster.build
 
 Cluster.pkg: build/Default/Cluster.app
@@ -15,7 +15,7 @@
 	$(MAKE) -C $(HTMLDIR)
 
 $(HTMLDIR)/html.helpindex $(HTMLDIR)/html\ idx: $(HTMLDIR)/index.html
-	/Developer/Applications/Utilities/Help\ Indexer.app/Contents/MacOS/Help\ Indexer ../html -ShowProgress YES -LogStyle 2 -PantherIndexing YES
+	hiutil -Caf $(HTMLDIR)/html.helpindex $(HTMLDIR)
 
 $(DOCDIR)/cluster3.pdf: $(DOCDIR)/cluster3.texinfo
 	$(MAKE) -C $(DOCDIR)

=== windows/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 cluster.chm: cluster.hhp $(HTMLDIR)/index.html
 	mv cluster.hhp $(HTMLDIR)
 	cd $(HTMLDIR)
-	-hhc $(HTMLDIR)/cluster.hhp
+	hhc $(HTMLDIR)/cluster.hhp
 	mv $(HTMLDIR)/cluster.chm $(HTMLDIR)/cluster.hhp ../windows
 	rm $(HTMLDIR)/toc.hhc
 	cd ../windows

=== debian/changelog ===
cluster3 (1.53-1) unstable; urgency=medium

  * New upstream version
  * Fix homepage and watch file
  * Move packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)
  * debhelper 10
  * d/rules: short dh
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 17:37:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
 Section: non-free/science
 XS-Autobuild: no
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libmotif-dev,
-               autotools-dev,
                perl,
                libx11-dev,
                libice-dev,
                libxext-dev,
                libsm-dev,
                libxt-dev,
-               docbook-to-man
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cluster3/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cluster3/trunk/
-Homepage: http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/
+               python-minimal,
+               python-setuptools,
+               python-numpy
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cluster3.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/cluster3.git
+Homepage: http://bonsai.hgc.jp/~mdehoon/software/cluster/
 
 Package: cluster3
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@

override_dh_auto_configure:
	# build nox version first
	CFLAGS="$(CFLAGS)" ./configure -C --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --without-x
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	cp src/cluster cluster.nox
	$(MAKE) clean
	# now configure X version
	CFLAGS="$(CFLAGS)" ./configure -C --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --with-x 

override_dh_auto_build-arch:
	# $(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	dh_auto_build
	cp src/cluster cluster.x

override_dh_auto_build-indep:
	#error with prefix defined:  perl Makefile.PL prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr/
	perl Makefile.PL INSTALL_BASE=$(CURDIR)/debian/cluster3/usr/
	make
	make test
	make install

cluster3.1: debian/cluster3.sgml
	docbook-to-man $< > $@

xcluster3.1: debian/xcluster3.sgml
	docbook-to-man $< > $@

override_dh_clean:
	dh_clean src/*.o X11/*.o src/cluster X11/cluster src/Makefile src/Makefile.old X11/Makefile Makefile MANIFEST

override_dh_install:
	dh_install
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
	mv cluster.x $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/xcluster3
	mv cluster.nox $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/cluster3
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)
	cp doc/* $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)
	# upstream Makefile installs copy of html documentation to unusual place - remove it
	find debian/$(DEB_SOURCE)/usr -type d -name cluster | xargs rm -rf
	# upstream Makefile installs executable cluster in /usr/bin - conflicting name, we are using cluster3
	find debian/$(DEB_SOURCE)/usr/bin -type f -name cluster -delete

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

## cluster3 1.57

=== mac/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 HTMLDIR = ../html
 
 build/Default/Cluster.app: $(HTMLDIR)/html.helpindex $(HTMLDIR)/html\ idx $(DOCDIR)/cluster3.pdf
-	xcodebuild -sdk macosx10.11
+	xcodebuild -sdk macosx10.13
 	rm -r build/Cluster.build
 
 Cluster.pkg: build/Default/Cluster.app

=== windows/Makefile ===
--- 
+++ 
@@ -64,15 +64,14 @@
 	$(MAKE) -C $(HTMLDIR)
 
 cluster.chm: cluster.hhp $(HTMLDIR)/index.html
-	mv cluster.hhp $(HTMLDIR)
-	cd $(HTMLDIR)
-	hhc $(HTMLDIR)/cluster.hhp
-	mv $(HTMLDIR)/cluster.chm $(HTMLDIR)/cluster.hhp ../windows
-	rm $(HTMLDIR)/toc.hhc
-	cd ../windows
+	cp cluster.hhp $(HTMLDIR)
+	python $(HTMLDIR)/windows.py $(HTMLDIR)/*.html
+	-hhc $(HTMLDIR)/cluster.hhp
+	mv $(HTMLDIR)/cluster.chm ../windows
+	rm $(HTMLDIR)/toc.hhc $(HTMLDIR)/cluster.hhp
 
 $(DOCDIR)/cluster3.pdf: $(DOCDIR)/cluster3.texinfo
 	$(MAKE) -C $(DOCDIR)
 
 clean:
-	rm -f *.o *.a *.dll *.exe *.chm *.hhc
+	rm -f *.o *.a *.dll *.exe *.chm *.hhc $(HTMLDIR)/*.html

=== debian/changelog ===
cluster3 (1.57-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version: 4.3.0 - no changes reguired
  * d/u/metadata: yamllint
  * d/rules: acivated link-time optimisation, which reduced the size of
    both cluster3 and xcluster3 by ~25K each (down from 100K and 160K).

 -- Steffen Moeller <moeller@debian.org>  Sun, 27 Jan 2019 00:47:29 +0100

cluster3 (1.56-2) UNRELEASED; urgency=medium

  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Oct 2018 13:52:04 +0000

cluster3 (1.56-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove unnecessary get-orig-source target
  * XS-Autobuild: s/no/yes/

 -- Andreas Tille <tille@debian.org>  Thu, 27 Sep 2018 10:57:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
            Thorsten Alteholz <debian@alteholz.de>,
            Andreas Tille <tille@debian.org>
 Section: non-free/science
-XS-Autobuild: no
+XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libmotif-dev,
                perl,
                libx11-dev,
@@ -18,9 +18,9 @@
                python-minimal,
                python-setuptools,
                python-numpy
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cluster3.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/cluster3.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/cluster3
+Vcs-Git: https://salsa.debian.org/med-team/cluster3.git
 Homepage: http://bonsai.hgc.jp/~mdehoon/software/cluster/
 
 Package: cluster3

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+CFLAGS += -flto
+LDFLAGS += -flto
 
 %:
 	dh $@
@@ -54,7 +57,3 @@
 	find debian/$(DEB_SOURCE)/usr -type d -name cluster | xargs rm -rf
 	# upstream Makefile installs executable cluster in /usr/bin - conflicting name, we are using cluster3
 	find debian/$(DEB_SOURCE)/usr/bin -type f -name cluster -delete
-
-get-orig-source:
-	mkdir -p ../tarballs
-	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=3
http://bonsai.hgc.jp/~mdehoon/software/cluster/software.htm cluster-(.*)\.tar\.gz

## cluster3 1.59%2Bds

=== debian/changelog ===
cluster3 (1.59+ds-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:33 +1100

cluster3 (1.59+ds-5build2) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:46:58 +0000

cluster3 (1.59+ds-5build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:07:23 +0000

cluster3 (1.59+ds-5) unstable; urgency=medium

  * Team upload.
  * Binary upload built against python3.11 (Closes: #1028186)
  * Freshen years in debian/copyright
  * Add lintian overrides for long HTML lines

 -- tony mancill <tmancill@debian.org>  Sun, 08 Jan 2023 07:34:14 -0800

cluster3 (1.59+ds-4) unstable; urgency=medium

  * Team upload.
  * Binary upload built against python3.10 (Closes: #1008636)

 -- tony mancill <tmancill@debian.org>  Tue, 29 Mar 2022 21:32:28 -0700

cluster3 (1.59+ds-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.1

 -- tony mancill <tmancill@debian.org>  Tue, 08 Dec 2020 20:33:48 -0800

cluster3 (1.59+ds-2) unstable; urgency=medium

  [ Pranav Ballaney ]
  * Add reference files for autopkgtests
  * Add autopkgtests
  * Add docs

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jun 2020 21:47:53 +0200

cluster3 (1.59+ds-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Excluding autogenerated files from archive in d/copyright

  [ Andreas Tille ]
  * Fix watch file
  * Add dh-python to Build-Depends
    Closes: #950768
  * Build-Depends: s/python3-all/python3-dev/
  * Standards-Version: 4.5.0 (routine-update)
  * Depends: ${python3:Depends}
  * Remove __pycache__ that remains from build time test

 -- Andreas Tille <tille@debian.org>  Thu, 06 Feb 2020 09:42:21 +0100

cluster3 (1.59-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12 (routine-update)
  * Standards-Version: 4.4.1 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 1.25-0.2.
  * python2 -> python3

 -- Steffen Moeller <moeller@debian.org>  Sun, 19 Jan 2020 00:45:36 +0100

## cluster3 1.59+ds

=== doc/Makefile ===
--- 
+++ 
@@ -5,11 +5,11 @@
 
 cluster3.pdf: cluster3.texinfo $(patsubst $(imagesrc)/%.png,images/%.eps,$(figures))
 	tex cluster3.texinfo
-	dvipdfm cluster3
+	dvipdf cluster3
 
 cluster.pdf: cluster.texinfo
 	tex cluster.texinfo
-	dvipdfm cluster
+	dvipdf cluster
 
 $(patsubst $(imagesrc)/%.png,images/%.eps,$(figures)): images/%.eps: $(imagesrc)/%.png
 	mkdir -p images

=== debian/changelog ===
cluster3 (1.59+ds-6build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:06:49 +0100

cluster3 (1.59+ds-6) unstable; urgency=medium

  [ Andreas Tille ]
  * Add link to license in internet archive

  [ Charles Plessy ]
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 26 Jun 2024 08:41:57 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                libmotif-dev,
                perl,
                libx11-dev,
@@ -15,17 +16,19 @@
                libxext-dev,
                libsm-dev,
                libxt-dev,
-               python-minimal,
-               python-setuptools,
-               python-numpy
-Standards-Version: 4.3.0
+               python3-dev,
+               python3-setuptools,
+               python3-numpy
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cluster3
 Vcs-Git: https://salsa.debian.org/med-team/cluster3.git
 Homepage: http://bonsai.hgc.jp/~mdehoon/software/cluster/
+Rules-Requires-Root: no
 
 Package: cluster3
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: treeview
 Suggests: mapleview,

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,13 @@
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 
 CFLAGS += -flto
 LDFLAGS += -flto
 
 %:
-	dh $@
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_configure:
 	# build nox version first
@@ -23,11 +22,12 @@
 	cp src/cluster cluster.nox
 	$(MAKE) clean
 	# now configure X version
-	CFLAGS="$(CFLAGS)" ./configure -C --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --with-x 
+	CFLAGS="$(CFLAGS)" ./configure -C --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --with-x
 
 override_dh_auto_build-arch:
 	# $(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
-	dh_auto_build
+	$(MAKE) -C X11
+	$(MAKE) -C src
 	cp src/cluster cluster.x
 
 override_dh_auto_build-indep:
@@ -43,8 +43,10 @@
 xcluster3.1: debian/xcluster3.sgml
 	docbook-to-man $< > $@
 
-override_dh_clean:
-	dh_clean src/*.o X11/*.o src/cluster X11/cluster src/Makefile src/Makefile.old X11/Makefile Makefile MANIFEST
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f cluster.nox cluster.x src/*.o X11/*.o X11/*.a src/cluster X11/cluster src/Makefile src/Makefile.old X11/Makefile Makefile MANIFEST
+	rm -rf X11/.deps/ config.cache config.h config.log config.status src/.deps/ stamp-h1
 
 override_dh_install:
 	dh_install
@@ -57,3 +59,5 @@
 	find debian/$(DEB_SOURCE)/usr -type d -name cluster | xargs rm -rf
 	# upstream Makefile installs executable cluster in /usr/bin - conflicting name, we are using cluster3
 	find debian/$(DEB_SOURCE)/usr/bin -type f -name cluster -delete
+	# Remove __pycache__ that remains from build time test
+	find . -name __pycache__ -type d | xargs rm -rf

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
  http://bonsai.hgc.jp/~mdehoon/software/cluster/software.htm cluster-(.*)\.tar\.gz
